<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script type="text/javascript">
        function enPantalla(text){
            let element = document.getElementById('container');
            element.textContent = text;
        }
        function enconsola(text){
            console.log(text);
        }
    </script>
</head>
<body>
    <button id="request">Peticion</button>
    <section id="container">
        RESPUESTA A LA PETICION:
    </section>
    <script>
    let datos = {
        "delay":"5"
    }
    let req = new XMLHttpRequest();
    req.open('POST', "https://httpbin.org/delay/5", false);
    let contador = 0;
        req.onreadystatechange = function(){
            enconsola(['Cuantas veces se reviso?: ', contador]); contador++;
            if(req.readyState === XMLHttpRequest.DONE && req.status === 200){
                enconsola(req.responseText);
                enPantalla(req.responseText);
            }else{
            }
        };
        document.getElementById('request').addEventListener('click',function(){
            this.style.display = 'none';
            req.send();
        });
    </script>
</body>
</html>